Bug 2130 - Installation bug
Summary: Installation bug
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1996-11-30 20:00 UTC by pgiffuni
Modified: 1996-12-09 05:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Wunsch 1996-11-29 23:13:35 UTC
As pgiffuni@fps.biblos.unal.edu.co wrote:

> >Description:
> No PCI support can be removed before installing the OS!

Well, it's not even _supposed_ to be removable.  PCI devices are
believed to be reliably auto-configurable.

-- 
cheers, J"org

joerg_wunsch@uriah.heep.sax.de -- http://www.sax.de/~joerg/ -- NIC: JW11-RIPE
Never trust an operating system you don't have sources for. ;-)
Comment 1 pgiffuni 1996-11-30 20:00:01 UTC
No PCI support can be removed before installing the OS!

How-To-Repeat: Visual mode.
Comment 2 Stefan Esser freebsd_committer 1996-12-01 14:27:14 UTC
On Nov 30, pgiffuni@fps.biblos.unal.edu.co wrote:
> 
> >Number:         2130
> >Category:       conf
> >Synopsis:       Installation bug
> >Description:
> No PCI support can be removed before installing the OS!

This is the way it is uspposed to be ...

We could add a DISABLE function to the config 
code, which would directly write some bit in 
the PCI device's config space command register.

This would completely deactivate the device 
(except for config space accesses) and the PCI
code could respect this bit (while it currently
tries hard to gat all devices activated that 
the PCI BIOS might have forgotten, for example
behind a PCI to PCI bridge ...)

I'm not sure there are really good applications 
for a ONE time dactivate of a PCI device. And 
the PCI code assumes that all devices are auto-
configuring. And for that reason, a device might
be found at a different address (and even in a 
different 'slot') on each reboot without violating 
the specs. (This will happen, if you add cards with
PCI to PCI bridges and bus. Then, even the bus 
number of previously installed devices may come 
out differently ...)

Regards, STefan
Comment 3 pgiffuni 1996-12-01 19:30:01 UTC
Just add a small message (when someone presses enter) saying "Device
will autodetect safely and cannot be removed". The end user doesn´t need
to know the details of PCIs.

Pedro.

Stefan Esser wrote:
> 
> On Nov 30, pgiffuni@fps.biblos.unal.edu.co wrote:
> >
> > >Number:         2130
> > >Category:       conf
> > >Synopsis:       Installation bug
> > >Description:
> > No PCI support can be removed before installing the OS!
> 
> This is the way it is uspposed to be ...
> 
> 
> Regards, STefan
Comment 4 msmith freebsd_committer 1996-12-09 05:13:47 UTC
State Changed
From-To: open->closed

Message displayed by visual userconfig updated to indicate that PCI 
devices cannot be deleted/configured, hopefully reducing the 
possibiity of confusion.